using Syntriax.Engine.Core.Abstract;

namespace Syntriax.Engine.Core.Factory;

public class TransformFactory
{
    public ITransform Instantiate() => TypeFactory.Get<Transform>();
    public T Instantiate<T>(params object?[]? args) where T : class, ITransform
        => TypeFactory.Get<T>(args);
}
